struct VertexIn
{
  float4 Position : SV_Position;
  float2 TextureCoordinates : TEXCOORD0;
};

Texture2D coarseImagery;
SamplerState coarseImagerySampler;

float4 main(VertexIn In) : SV_Target
{
  return coarseImagery.Sample(coarseImagerySampler, In.TextureCoordinates);
}
