Texture2D imagery;
SamplerState imagerySampler;

cbuffer RegionParameters
{
  float2 sourceOrigin;
  float2 updateSize;
  float2 destinationOffset;
  int clear;
  float4 clearValue;
};

struct Vertex
{
  float4 Position : SV_Position;
  float2 TexCoords : TEXCOORD0;
};

float4 main(Vertex In) : SV_Target
{
  return clear ? clearValue : imagery.Sample(imagerySampler, In.TexCoords);
}
